# Returns API Keys for an Environment

Returns all the API Keys for an Environment

Endpoint: GET /cf/admin/apikey
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier

  - `orgIdentifier` (string, required)
    Organization Identifier

  - `projectIdentifier` (string, required)
    The Project identifier

  - `environmentIdentifier` (string, required)
    Environment Identifier

  - `pageNumber` (integer)
    PageNumber

  - `pageSize` (integer)
    PageSize

## Response 200 fields (application/json):

  - `itemCount` (integer, required)
    The total number of items
    Example: 1

  - `pageCount` (integer, required)
    The total number of pages
    Example: 100

  - `pageIndex` (integer, required)
    The current page

  - `pageSize` (integer, required)
    The number of items per page
    Example: 1

  - `version` (integer)
    The version of this object.  The version will be incremented each time the object is modified
    Example: 5

  - `apiKeys` (array)

  - `apiKeys.apiKey` (string, required)
    The Key will be shown only on create. On subsequent GET calls, only the masked APIKeys will be returned
    Example: "b03af1cd-bd3f-472b-a4b0-c9c9c09c642e"

  - `apiKeys.applicationIds` (array)
    A list of Application IDs

  - `apiKeys.applicationIds.applicationId` (string, required)
    The application ID of the application
    Example: "my-springboot-application"

  - `apiKeys.applicationIds.lastUsed` (integer, required)
    The timestamp of when this application was last accessed
    Example: 1726744149

  - `apiKeys.identifier` (string, required)
    The environment that this key was created in
    Example: "production"

  - `apiKeys.key` (string)
    A hash of API key
    Example: "3c940273c34e8a9b21"

  - `apiKeys.lastUsed` (integer)
    Timestamp of the last time the API key was used
    Example: 1726744149

  - `apiKeys.name` (string, required)
    The user friendly identifier for the API Key
    Example: "Production Server Key"

  - `apiKeys.type` (string, required)
    The type of key depending on the SDK that is being used.
    Enum: "server", "client"

## Response 401 fields (application/json):

  - `code` (string, required)
    The http error code
    Example: 404

  - `details` (object)
    Additional details about the error

  - `message` (string, required)
    The reason the request failed
    Example: "Error retrieving projects, organization 'default_org' does not exist"


